tclap 1.2.1

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros | Typedefs | Functions
Arg.h File Reference
`#include <string>`
`#include <vector>`
`#include <list>`
`#include <iostream>`
`#include <iomanip>`
`#include <cstdio>`
`#include <sstream>`
`#include <tclap/ArgException.h>`
`#include <tclap/Visitor.h>`
`#include <tclap/CmdLineInterface.h>`
`#include <tclap/ArgTraits.h>`
`#include <tclap/StandardTraits.h>`

Go to the source code of this file.

## Classes
class | TCLAP::Arg
| A virtual base class that defines the essential data for all arguments. More...

## Namespaces
| TCLAP

## Macros
#define | HAVE_SSTREAM
#define | TCLAP_FLAGSTARTCHAR '-'
| The char that indicates the beginning of a flag. More...
#define | TCLAP_FLAGSTARTSTRING "-"
| The sting that indicates the beginning of a flag. More...
#define | TCLAP_NAMESTARTSTRING "--"
| The sting that indicates the beginning of a name. More...

## Typedefs
typedef std::istringstream | istringstream
typedef std::list< Arg * >::iterator | TCLAP::ArgListIterator
| Typedef of an Arg list iterator. More...
typedef std::vector< Arg * >::iterator | TCLAP::ArgVectorIterator
| Typedef of an Arg vector iterator. More...
typedef std::list< Visitor * >::iterator | TCLAP::VisitorListIterator
| Typedef of a Visitor list iterator. More...

## Functions
template<typename T >
void | TCLAP::ExtractValue (T &destVal, const std::string &strVal, ValueLike vl)
template<typename T >
void | TCLAP::ExtractValue (T &destVal, const std::string &strVal, StringLike sl)

## Macro Definition Documentation

#define HAVE_SSTREAM

Definition at line 31 of file Arg.h.

#define TCLAP_FLAGSTARTCHAR '-'

The char that indicates the beginning of a flag.

Defaults to '-', but clients can define TCLAP_FLAGSTARTCHAR to override.

Definition at line 224 of file Arg.h.

Referenced by TCLAP::Arg::flagStartChar().

#define TCLAP_FLAGSTARTSTRING "-"

The sting that indicates the beginning of a flag.

Defaults to "-", but clients can define TCLAP_FLAGSTARTSTRING to override. Should be the same as TCLAP_FLAGSTARTCHAR.

Definition at line 234 of file Arg.h.

Referenced by TCLAP::Arg::flagStartString().

#define TCLAP_NAMESTARTSTRING "--"

The sting that indicates the beginning of a name.

Defaults to "--", but clients can define TCLAP_NAMESTARTSTRING to override.

Definition at line 243 of file Arg.h.

Referenced by TCLAP::Arg::nameStartString().

## Typedef Documentation

typedef std::istringstream istringstream

Definition at line 43 of file Arg.h.